<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -unidadesConstruccion: Lista de objetos de tipo PUnidadConstruccion a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="unidad"
             value="#{unidadesConstruccion}" rendered="#{rendered}">

    <f:facet name="header">
        <h:outputText value="#{title}" />
    </f:facet>

    <p:column>
        <f:facet name="header">Unidad</f:facet>
        <p:commandLink styleClass="commandLinkStyle">
            <h:outputText styleClass="outputTextStyle" value="#{unidad.unidad}" />
        </p:commandLink>
    </p:column>

    <p:column>
        <f:facet name="header">Uso<br />unidad</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.usoConstruccion.id}-#{unidad.usoConstruccion.nombre}" />
    </p:column>

    <p:column>
        <f:facet name="header">Total pisos<br />construcción</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalPisosConstruccion}" />
    </p:column>

    <p:column>
        <f:facet name="header">Piso<br />ubicación<br />unidad</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.pisoUbicacion}" />
    </p:column>

    <p:column>
        <f:facet name="header">Total pisos<br />unidad</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalPisosUnidad}" />
    </p:column>

    <p:column>
        <f:facet name="header">Total<br />habitaciones</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalHabitaciones}" />
    </p:column>

    <p:column>
        <f:facet name="header">Total<br />baños</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalBanios}" />
    </p:column>

    <p:column>
        <f:facet name="header">Total<br />locales</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalLocales}" />
    </p:column>

    <p:column>
        <f:facet name="header">Puntos/Tipo</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.totalPuntaje}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Área unidad<br />construida</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.areaConstruida}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Vr. m2<br />construcción</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.valorM2Construccion}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Avalúo unidad<br />construida</f:facet>
        <h:outputText styleClass="outputTextStyle" value="#{unidad.avaluo}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">Año<br />construcción</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.anioConstruccion}" />
    </p:column>

    <p:column>
        <f:facet name="header">Tipificación</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{unidad.tipificacion}-#{unidad.tipificacionValor}" />
    </p:column>
</p:dataTable>
